import { __rest, __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { Icon } from '@highlight-ui/icon';
import { Typography } from '@highlight-ui/typography';
import { parseMetadata, suffixMetadata } from '@highlight-ui/utils-commons';
import styles from './Link.module.scss.js';
var Link = /*#__PURE__*/React.forwardRef(function (_a, ref) {
  var _b;

  var children = _a.children,
      className = _a.className,
      href = _a.href,
      metadata = _a.metadata,
      _c = _a.showIcon,
      showIcon = _c === void 0 ? false : _c,
      _d = _a.underline,
      underline = _d === void 0 ? true : _d,
      target = _a.target,
      restProps = __rest(_a, ["children", "className", "href", "metadata", "showIcon", "underline", "target"]);

  var rel = target === '_blank' ? 'noopener noreferrer' : '';
  return /*#__PURE__*/React.createElement("a", __assign({}, parseMetadata(metadata), restProps, {
    className: classnames(className, styles.link, (_b = {}, _b[styles.disabledUnderline] = !underline, _b)),
    href: href,
    ref: ref,
    rel: rel,
    target: target
  }), /*#__PURE__*/React.createElement(Typography, {
    variant: "button-1",
    className: styles.text
  }, children), showIcon && /*#__PURE__*/React.createElement("span", {
    className: styles.iconContainer
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "external-link",
    type: "solid",
    size: 12,
    metadata: suffixMetadata(metadata, 'icon')
  })));
});
export { Link as default };
//# sourceMappingURL=Link.js.map
